|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectcom.tonbeller.wcf.controller.RequestContext
com.tonbeller.wcf.controller.TestContext
Created on 28.11.2002
| Nested Class Summary | |
class |
TestContext.TestSession
|
| Constructor Summary | |
TestContext()
|
|
| Method Summary | |
java.lang.Object |
findBean(java.lang.String name)
searches for bean in request, session, application contexts. |
Converter |
getConverter()
|
ExprContext |
getExprContext()
Returns the exprContext. |
org.apache.commons.fileupload.FileItem |
getFileItem(java.lang.String name)
|
java.util.Map |
getFileParameters()
|
Formatter |
getFormatter()
|
java.util.Locale |
getLocale()
the locale preferred by the user |
java.lang.Object |
getModelReference(java.lang.String expr)
evaluates a JSP EL expression. |
java.lang.String |
getParameter(java.lang.String name)
|
java.util.Map |
getParameters()
returns the request parameters |
java.lang.String[] |
getParameters(java.lang.String name)
|
java.lang.String |
getRemoteDomain()
|
java.lang.String |
getRemoteUser()
returns the remote User Name without its domain name. |
javax.servlet.http.HttpServletRequest |
getRequest()
|
Resources |
getResources()
|
Resources |
getResources(java.lang.Class clasz)
|
Resources |
getResources(java.lang.String bundleName)
|
javax.servlet.http.HttpServletResponse |
getResponse()
|
javax.servlet.ServletContext |
getServletContext()
|
javax.servlet.http.HttpSession |
getSession()
|
boolean |
isAdmin()
allows derived classes to specify a root user who may do everything. |
boolean |
isUserInRole(java.lang.String roleExpr)
evaluates a role expression. |
void |
setBean(java.lang.String name,
java.lang.Object bean)
places bean into session context |
void |
setExprContext(ExprContext exprContext)
Sets the exprContext. |
void |
setLocale(java.util.Locale locale)
change the Locale for this session including the Locale for JSTL <fmt:message > tag |
void |
setModelReference(java.lang.String expr,
java.lang.Object value)
|
void |
setParameters(java.util.Map map)
|
| Methods inherited from class com.tonbeller.wcf.controller.RequestContext |
instance, instance, invalidate, isResponseComplete, setInstance, setResponseComplete |
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Constructor Detail |
public TestContext()
| Method Detail |
public javax.servlet.http.HttpServletRequest getRequest()
getRequest in class RequestContextRequestContext.getRequest()public javax.servlet.http.HttpServletResponse getResponse()
getResponse in class RequestContextRequestContext.getResponse()public javax.servlet.ServletContext getServletContext()
getServletContext in class RequestContextRequestContext.getServletContext()public javax.servlet.http.HttpSession getSession()
getSession in class RequestContextRequestContext.getSession()public Converter getConverter()
getConverter in class RequestContextRequestContext.getConverter()public Formatter getFormatter()
getFormatter in class RequestContextRequestContext.getFormatter()public java.util.Map getParameters()
RequestContext
getParameters in class RequestContextpublic void setParameters(java.util.Map map)
public java.lang.String[] getParameters(java.lang.String name)
getParameters in class RequestContextpublic java.lang.String getParameter(java.lang.String name)
getParameter in class RequestContextpublic java.util.Locale getLocale()
RequestContext
getLocale in class RequestContextpublic ExprContext getExprContext()
public void setExprContext(ExprContext exprContext)
exprContext - The exprContext to setpublic java.lang.Object getModelReference(java.lang.String expr)
RequestContext
getModelReference in class RequestContextRequestContext.getModelReference(String)
public void setModelReference(java.lang.String expr,
java.lang.Object value)
setModelReference in class RequestContextRequestContext.setModelReference(String, Object)public boolean isUserInRole(java.lang.String roleExpr)
RequestContextroleExpr is a JSP EL expression
(e.g. ${bean.stringProperty}), then the result
of the EL is used as the role name.
If roleExpr starts with "!" the result
is inverted, e.g. all users except members of the
role will be allowed to access the component.
Roles may be mapped in resources.properties (or in
System.properties or user.properties - see
Resources
for details). The format is role.[role1]=[role2]
(not including the brackets).
If such an entry is present, role2 will be checked instead
of role1.
If roleExpr == null, returns true (i.e. everybody is member
of the null role).
isUserInRole in class RequestContextpublic Resources getResources()
getResources in class RequestContextpublic Resources getResources(java.lang.String bundleName)
getResources in class RequestContextpublic Resources getResources(java.lang.Class clasz)
getResources in class RequestContextpublic java.lang.String getRemoteUser()
RequestContext
getRemoteUser in class RequestContextpublic java.lang.String getRemoteDomain()
getRemoteDomain in class RequestContextpublic boolean isAdmin()
RequestContext
isAdmin in class RequestContextpublic java.lang.Object findBean(java.lang.String name)
ExprContext
public void setBean(java.lang.String name,
java.lang.Object bean)
ExprContext
name - name of the session attributebean - the bean. If null, the attribute will be removed.public void setLocale(java.util.Locale locale)
RequestContext
setLocale in class RequestContextpublic org.apache.commons.fileupload.FileItem getFileItem(java.lang.String name)
public java.util.Map getFileParameters()
getFileParameters in class RequestContext
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||